<?php
namespace App\Models;
use \PDO;

class Client extends DB
{
    private $connect;
    private $db;
    function __construct($client) 
    {
        $this->db = new DB();
        if(is_numeric($client)) {
            $databaseCredentials = $this->db->getClientDatabase($client);
        } else {
            $databaseCredentials = $this->db->getDomainBridgeDetail($client);
        }
        $host = $databaseCredentials->host;
        $dbname = $databaseCredentials->db;
        $userName = $databaseCredentials->duser;
        if($databaseCredentials->dpass == "")
            $password = "";
        else
            $password = "R&OnEC&T2FUSI0N2E26P&S";
        $charset = "latin1";
        $collation = "latin1_swedish_ci";

        $conn_str = "mysql:host=$host;dbname=$dbname;charset=$charset;collation=$collation";
        $conn = new PDO($conn_str, $userName, $password);
        $conn->setAttribute(PDO::ATTR_ERRMODE, PDO::ERRMODE_EXCEPTION);
        $conn->setAttribute(PDO::ATTR_EMULATE_PREPARES, false);
        $conn->setAttribute(PDO::ATTR_STRINGIFY_FETCHES, false);
        $this->connect = $conn;
    }

    public function query($sql)
    {
        $conn = $this->connect;
        $result = $conn->prepare($sql);
        $result->execute();
        $data = $result->fetch(PDO::FETCH_OBJ);
        return $data;
    }

    public function queryAll($sql)
    {
        $conn = $this->connect;
        $result = $conn->prepare($sql);
        $result->execute();
        $data = $result->fetchAll(PDO::FETCH_OBJ);
        return $data;
    }

    public function connectionClose()
    {
        $this->connect = null;
    }

    private function decrypt($text)
    {
        if($text == "") {
            return false;
        } else {
            $salt='(^%(^@@&!^250691';
            return openssl_decrypt($text, 'AES-128-ECB', $salt);
        }  
    }

}