<?php
namespace App\Models;

class Urban extends DB
{
    public function getUrbanCredentials($storeId)
    {
        $client = new Client($storeId);
        $getUrbanPiper = $client->query("CALL getUrbanPiper()");
        $client->connectionClose();
        return $getUrbanPiper;
    } 

    public function createUrbanOrders($data)
    {
        $checkOrder['storeId'] = $data['merchant_ref_id'];
        $checkOrder['orderId'] = $data['orderId'];
        $getUrbanOrders = $this->getUrbanOrders($checkOrder);
        if($getUrbanOrders == false) {
            $client = new Client($data['merchant_ref_id']);
            $createOrder = $client->query("CALL createUrbanPiperOrder('".addslashes($data['customerDetail'])."', '".addslashes($data['nextStatus'])."', '".addslashes($data['items'])."', '".addslashes($data['orderDetail'])."', '".addslashes($data['payment'])."', '".addslashes($data['store'])."', '".addslashes($data['customerName'])."', '".addslashes($data['customerPhone'])."', '".addslashes($data['customerEmail'])."', '".addslashes($data['businessId'])."', '".addslashes($data['storeId'])."', '".addslashes($data['platform'])."', $data[orderId], '".addslashes($data['orderStatus'])."', '".addslashes($data['nextButton'])."', $data[total], '".addslashes($data['orderType'])."', '".addslashes($data['paymentType'])."',  $data[created], @insert_id)");
            $client->connectionClose();
            return $createOrder;
        }
    } 

    public function getUrbanOrders($data)
    {
        $client = new Client($data['storeId']);
        $getOrder = $client->query("CALL getUrbanPiperOrder($data[orderId])");
        $client->connectionClose();
        return $getOrder;
    } 

    public function updateUrbanOrders($data)
    {
        $client = new Client($data['storeId']);
        $updateUrbanOrders = $client->query("CALL updateUrbanPiperOrderStatus($data[orderId], '".addslashes($data['newState'])."', '".addslashes($data['nextButton'])."')");
        $client->connectionClose();
        return true;
    }
    
    public function updateUrbanDriver($data)
    {
        $client = new Client($data['storeId']);
        $updateUrbanPiperDriverStatus = $client->query("CALL updateUrbanPiperDriverStatus($data[orderId], '".$data['deliveryDetail']."')");
        $client->connectionClose();
        return true;
    }

    public function updateUrbanTatTime($data, $storeId, $orderId)
    {
        $checkOrder['storeId'] = $storeId;
        $checkOrder['orderId'] = $orderId;
        $getUrbanOrders = $this->getUrbanOrders($checkOrder);
        $orderDetail = json_decode($getUrbanOrders->order_detail);
        if($orderDetail->prep_time->adjustable == true) {
            $newPrepTime = $orderDetail->prep_time->max + $data['extra']['prep_time_mins'];
            $orderDetail->prep_time->max = $newPrepTime;
            $orderDetail = json_encode($orderDetail);

            $client = new Client($storeId);
            $updateUrbanPiperOrderDetail = $client->query("CALL updateUrbanPiperOrderDetail($orderId, '".$orderDetail."')");
            $client->connectionClose();
            return true;
        }
    }

    public function updateWebhookDetails($data, $storeId)
    {
        $client = new Client($storeId);
        foreach($data as $key => $webhook) {
            if(isset($webhook['webhook_id'])) {
                $getUrbanOrders = $this->getWebhookList($webhook['event_type'], $storeId);
                if($getUrbanOrders == false) {
                    $getWebhookList = $client->query("CALL createWebHookList($webhook[webhook_id], '".addslashes($webhook['event_type'])."', '".addslashes($webhook['retrial_interval_units'])."', '".addslashes($webhook['headers']['x_api_token'])."', '".addslashes($webhook['active'])."', @insert_id)");
                    
                } else {
                    $getWebhookList = $client->query("CALL updateWebHookList($webhook[webhook_id], '".addslashes($webhook['event_type'])."', '".addslashes($webhook['retrial_interval_units'])."', '".addslashes($webhook['headers']['x_api_token'])."', '".addslashes($webhook['active'])."')");
                }
            }
        }
        $client->connectionClose();
        return true;
    }

    public function getWebhookList($eventType, $storeId)
    {
        $client = new Client($storeId);
        $getWebhookList = $client->query("CALL getWebhookList('".addslashes($eventType)."')");
        $client->connectionClose();
        return $getWebhookList;
    }

    
}